<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja pliku Vector.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('dc/dca/_vector_8hh.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#typedef-members">Definicje typów</a> &#124;
<a href="#func-members">Funkcje</a> &#124;
<a href="#var-members">Zmienne</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja pliku Vector.hh</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla Vector.hh:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d13/_vector_8hh__incl.png" border="0" usemap="#_vector_8hh" alt=""/></div>
<map name="_vector_8hh" id="_vector_8hh">
<area shape="rect" title=" " alt="" coords="5,5,88,32"/>
<area shape="rect" title=" " alt="" coords="7,80,87,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d12/_vector_8hh__dep__incl.png" border="0" usemap="#_vector_8hhdep" alt=""/></div>
<map name="_vector_8hhdep" id="_vector_8hhdep">
<area shape="rect" title=" " alt="" coords="377,5,460,32"/>
<area shape="rect" href="../../db/d1b/_matrix_8hh.html" title=" " alt="" coords="377,80,461,107"/>
<area shape="rect" href="../../da/dad/shape_8hh.html" title=" " alt="" coords="298,155,379,181"/>
<area shape="rect" href="../../d9/dae/cuboid_8hh.html" title=" " alt="" coords="432,229,517,256"/>
<area shape="rect" href="../../d9/d7f/bottom_surface_8hh.html" title=" " alt="" coords="5,229,144,256"/>
<area shape="rect" href="../../d2/d9a/water_surface_8hh.html" title=" " alt="" coords="168,229,296,256"/>
<area shape="rect" href="../../db/d87/shape_8cpp.html" title=" " alt="" coords="320,229,408,256"/>
<area shape="rect" href="../../d5/dd8/scene_8hh.html" title=" " alt="" coords="169,379,249,405"/>
<area shape="rect" href="../../db/dcb/bottom_surface_8cpp.html" title=" " alt="" coords="26,304,171,331"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html" title=" " alt="" coords="113,453,196,480"/>
<area shape="rect" href="../../da/d33/scene_8cpp.html" title=" " alt="" coords="221,453,307,480"/>
<area shape="rect" href="../../da/dcb/drone_8hh.html" title=" " alt="" coords="406,304,485,331"/>
<area shape="rect" href="../../df/d4f/cuboid_8cpp.html" title=" " alt="" coords="509,304,601,331"/>
<area shape="rect" href="../../dd/dd8/drone_8cpp.html" title=" " alt="" coords="402,379,489,405"/>
<area shape="rect" href="../../da/d26/water_surface_8cpp.html" title=" " alt="" coords="247,304,382,331"/>
</map>
</div>
</div>
<p><a href="../../dc/dca/_vector_8hh_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db2/class_vector.html">Vector&lt; T, SIZE &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Definicje typów</h2></td></tr>
<tr class="memitem:a19c17db547a9edb84f3744b46edd4d41"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> = <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; double, 3 &gt;</td></tr>
<tr class="separator:a19c17db547a9edb84f3744b46edd4d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:aaa1520c47ad6594c1bcccf172012480a"><td class="memTemplParams" colspan="2">template&lt;typename T , int SIZE&gt; </td></tr>
<tr class="memitem:aaa1520c47ad6594c1bcccf172012480a"><td class="memTemplItemLeft" align="right" valign="top">std::istream &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="../../dc/dca/_vector_8hh.html#aaa1520c47ad6594c1bcccf172012480a">operator&gt;&gt;</a> (std::istream &amp;strm, <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector)</td></tr>
<tr class="separator:aaa1520c47ad6594c1bcccf172012480a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8398d91c29ac72e27ff9876fe891c2"><td class="memTemplParams" colspan="2">template&lt;typename T , int SIZE&gt; </td></tr>
<tr class="memitem:a9a8398d91c29ac72e27ff9876fe891c2"><td class="memTemplItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="../../dc/dca/_vector_8hh.html#a9a8398d91c29ac72e27ff9876fe891c2">operator&lt;&lt;</a> (std::ostream &amp;strm, const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector)</td></tr>
<tr class="separator:a9a8398d91c29ac72e27ff9876fe891c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Zmienne</h2></td></tr>
<tr class="memitem:a5c3c37a63ea6742bd21f87b3c482ad4d"><td class="memItemLeft" align="right" valign="top">constexpr double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dca/_vector_8hh.html#a5c3c37a63ea6742bd21f87b3c482ad4d">ERR</a> = 0.0000000001</td></tr>
<tr class="separator:a5c3c37a63ea6742bd21f87b3c482ad4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja definicji typów</h2>
<a id="a19c17db547a9edb84f3744b46edd4d41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19c17db547a9edb84f3744b46edd4d41">&#9670;&nbsp;</a></span>Vector3D</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> =  <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt;double, 3&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00082">82</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a9a8398d91c29ac72e27ff9876fe891c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a8398d91c29ac72e27ff9876fe891c2">&#9670;&nbsp;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::ostream &amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora przesuniecia bitowego w lewo dla wypisywania danych z naszego wektora </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">strm</td><td>- strumien wyjsciowy </td></tr>
    <tr><td class="paramname">vector</td><td>- wektor z ktorego chcemy wypisac dane </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- strumien wyjsciowy </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00198">198</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="aaa1520c47ad6594c1bcccf172012480a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1520c47ad6594c1bcccf172012480a">&#9670;&nbsp;</a></span>operator&gt;&gt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::istream &amp; operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">std::istream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/db2/class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora przesuniecia bitowego w prawo dla wczytywania danych do wektora </p><dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">strm</td><td>- strumien wejsciowy </td></tr>
    <tr><td class="paramname">vector</td><td>- wektor w ktorym zapiszemy nasze dane </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>- strumien wejsciwy </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00189">189</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja zmiennych</h2>
<a id="a5c3c37a63ea6742bd21f87b3c482ad4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c3c37a63ea6742bd21f87b3c482ad4d">&#9670;&nbsp;</a></span>ERR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr double ERR = 0.0000000001</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../dc/dca/_vector_8hh_source.html#l00005">5</a> pliku <a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../dc/dca/_vector_8hh.html">Vector.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
